# classes/phing/tasks/ext/UntarTask.php

Extracts one or several tar archives using PEAR Archive_Tar

author
  Joakim Bodin <joakim.bodin+phing@gmail.com>
package
  phing.tasks.ext
since
  2.2.0
version
  $Id: UntarTask.php 526 2009-08-11 12:11:17Z mrook $

## \UntarTask
jump to top

Extracts one or several tar archives using PEAR Archive_Tar

This is very closely based on the ANT class of the same name.

Extends from
  \ExtractBaseTask
author
  Joakim Bodin <joakim.bodin+phing@gmail.com>
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext
since
  2.2.0
version
  $Id: UntarTask.php 526 2009-08-11 12:11:17Z mrook $

### Methods

`extractArchive( $tarfile ) :`
Parameters

Name | Type | Description
--- | --- | ---
$tarfile |  |

`init( ) :`
Ensures that PEAR lib exists.
`initTar( \PhingFile $tarfile ) : \Archive_Tar`
Init a Archive_Tar class with correct compression for the given file.
Parameters

Name | Type | Description
--- | --- | ---
$tarfile | \PhingFile |

Returns

Type | Description
--- | ---
\Archive_Tar |

`listArchiveContent( $tarfile ) :`
Parameters

Name | Type | Description
--- | --- | ---
$tarfile |  |

Documentation was generated by DocBlox 0.13.1.